image: maven:3.8.1-openjdk-11

stages:
  - build

variables:
  RUN_OPTS: "-Duser.timezone=Europe/Vienna -Duser.country=AT -Duser.language=DE -Duser.variant=AT"
  MAVEN_CLI_OPTS: "--batch-mode -DprojectRoot=$CI_PROJECT_DIR"
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dpipeline=true"
  BUILD_ENV: "docker"
  GET_SOURCES_ATTEMPTS: "3"

build:
  stage: build
  tags:
    - gitlab-org
  needs: [ ]
  only:
    - main
  variables:
    GIT_STRATEGY: fetch
  script:
    - |
      set -x

      if [ "$CI_SKIP_TESTS" = "true" ]
      then
        echo "Tests skipped ..."
        mvn $MAVEN_CLI_OPTS $RUN_OPTS -Dskip.tests=true install
      else
        mvn $MAVEN_CLI_OPTS $RUN_OPTS install
      fi
  interruptible: true
  artifacts:
    expire_in: 4 hours
    reports:
      junit:
        - "**/target/surefire-reports/TEST-*.xml"